import * as React from 'react';
interface ClassDictionary {
    [id: string]: boolean | undefined | null;
}
interface ClassArray extends Array<ClassValue> {
}
declare type ClassValue = string | number | ClassDictionary | ClassArray | undefined | null | boolean;
export interface BaseProps {
    /**
     * 自定义class
     */
    className?: string;
    /**
     * 自定义样式
     */
    style?: React.CSSProperties;
}
export default class BaseComponent<TProps = {}, TState = {}, SS = {}> extends React.Component<BaseProps & TProps, TState, SS> {
    className(...args: ClassValue[]): string;
    classNames(...args: ClassValue[]): string;
    style(args?: React.CSSProperties): React.CSSProperties & (BaseProps & TProps)["style"];
}
export {};
